AnattOS
=======
AnattOS is a 512 byte memory editor with convenience features for hand
programming machine code.

Interface
---------
256 bytes of memory are show in a 16 by 16 grid. Each line of 16 bytes is
checksummed with Fletcher-16, and the checksum is displayed after the line.
The address under the cursor is displayed below the memory dump.

If the byte under the cursor begins an instruction where the opcode and
mod-r/m bytes' fields have the standard meanings, the fields' meanings are
decoded and shown below the address. Note that the case of mod=0 r/m=6 is
not special cased, and will display `bp` for the r/m field.

Arrow keys can be used to navigate the memory, and `r` to call into the
address under the cursor. When returning to AnattOS the code should restore
segment registers, direction flag, and stack pointer to the values they had
upon entry.

Limitations
-----------
AnattOS is only able to examine first 64KiB of RAM.
